LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
WritingMode2.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::WritingMode2
| this set of constants describes different writing directions

## Variables
const short | LR_TB = 0
| text within lines is written left-to-right. More...
const short | RL_TB = 1
| text within a line are written right-to-left. More...
const short | TB_RL = 2
| text within a line is written top-to-bottom. More...
const short | TB_LR = 3
| text within a line is written top-to-bottom. More...
const short | PAGE = 4
| obtain writing mode from the current page. More...
const short | CONTEXT = 4
| obtain actual writing mode from the context of the object. More...
const short | BT_LR = 5
| text within a line is written bottom-to-top. More...
const short | TB_RL90 = 6
| text within a line is written top-to-bottom so as if a horizontal left-to-right line is clockwise rotated by 90deg. More...
const short | STACKED = 7
| 'T' text within a line is written top-to-bottom, but characters are 'E' not rotated. More...